REIEvents.hide('item', event => {
    let MOD = (domain, id, x) => (x ? `${x}x ` : "") + (id.startsWith('#') ? '#' : "") + domain + ":" + id.replace('#', '')
    let AG = (id, x) => MOD("anim_guns", id, x)

    event.hide('twilightforest:uncrafting_table')
    event.hide('createdeco:zinc_sheet')

    event.hide('createaddition:iron_rod')
    event.hide('createaddition:gold_rod')
    event.hide('createaddition:brass_rod')
    event.hide('createaddition:copper_rod')
    event.hide('createdeco:zinc_sheet')

    event.hide(AG('revolver_chamber'))
    event.hide(AG('revolver_coltarmy'))
    event.hide(AG('revolver_magnum'))

    event.hide(AG('blueprint_revolver_coltarmy'))
    event.hide(AG('blueprint_revolver_magnum'))
})

REIEvents.removeCategories(event => {
    event.remove('twilightforest:uncrafting')
    event.remove('twilightforest:uncrafting_table')
    event.remove('minecraft:plugins/tag')
})

REIEvents.information(event => {
    event.add('twilightforest:uncrafting_table','Disabled' ['This item has been disabled cuz fuck you'])

    event.add('betterend:end_stone_smelter','Fuel' ['Lava Bucket: 16000 ticks','Coal Block: 12000 ticks','Blaze Rod: 2000 ticks'])
})

REIEvents.groupEntries(event => {
    // Group similar items, in this case supplementaries stuff by tag
    event.groupItemsByTag('supplementaries:rei_groups/hanging_signs', 'Hanging Signs', 'supplementaries:hanging_signs')
    event.groupItemsByTag('supplementaries:rei_groups/sign_posts', 'Sign Posts', 'supplementaries:sign_posts')
})

// onEvent('jei.remove.categories', event => {
//     event.hide('twilightforest:uncrafting')
//     event.hide('minecraft:plugins/tag')
// })

// onEvent('jei.information', event => {
//     event.add('twilightforest:uncrafting_table', ['This item has been disabled cuz fuck you'])
// })

